> For the complete documentation index, see [llms.txt](https://docs.neox.vn/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.neox.vn/docs/virtual-card/virtual-cards/apis/update-virtual-card-user.md).

# API Update Virtual Card User

### Endpoint: PUT /v2/vc/virtual-cards/{virtualCardRequestId}/card-user

### Description: Update the user contact information associated with a virtual card for receiving transaction notifications and OTP verification. This API allows merchants to modify the email address and phone number that will be used for sending OTP codes and transaction alerts when the virtual card is used for payments.

***

## Request

### Request Body Field Descriptions (JSON)

| Field Name            | Type   | Required | Description                                                                         |
| --------------------- | ------ | -------- | ----------------------------------------------------------------------------------- |
| cardUserEmail         | string | No       | Email to receive OTP when user making transactions (Default using merchant's email) |
| cardUserPhone         | string | No       | Phone number to receive OTP SMS when user making transactions                       |
| cardUserPhoneZoneCode | string | No       | Phone number zone code (Insert `"+"` before zone number)                            |

### Request sample

```json
{
  "cardUserPhoneZoneCode": "+84",
  "cardUserPhone": "987654321",
  "cardUserEmail": "john.doe@gmail.com"
}
```

## Response

### Response Field Descriptions

| Field Name                  | Type   | Description                                                   |
| --------------------------- | ------ | ------------------------------------------------------------- |
| code                        | number | Response code                                                 |
| state                       | number | State of the response                                         |
| data.merchantCode           | string | Merchant code                                                 |
| data.virtualCardRequestId   | string | Virtual card request identifier                               |
| data.cardUser.email         | string | Email to receive OTP when user making transactions            |
| data.cardUser.phoneZoneCode | string | Phone number zone code                                        |
| data.cardUser.phone         | string | Phone number to receive OTP SMS when user making transactions |
| message                     | string | Response message                                              |
| neoResponseId               | string | Unique Neo response identifier                                |

### Response sample

```json
{
  "code": 1,
  "state": 2,
  "data": {
    "merchantCode": "COLRLC",
    "virtualCardRequestId": "dcf35140-f306-4a2d-9435-3c2e2d606c19",
    "cardUser": {
      "email": "john.doe@gmail.com",
      "phone": "+84",
      "phoneZoneCode": "987654321"
    },
    "status": "ACTIVED"
  },
  "message": "Successful",
  "neoResponseId": "8a724725-dc09-4ef2-8011-b4575ee5090a"
}
```

## Example cURL

```bash
curl -X PUT "https://{base_url_openapi}/v2/vc/virtual-cards/{virtualCardRequestId}/set-active" \
  -H "Authorization: Bearer <YOUR_TOKEN>" \
  -H "Content-Type: application/json" \
  -H "Accept-Language: en" \
  -d '{
    "cardUserPhoneZoneCode": "+84",
    "cardUserPhone": "987654321",
    "cardUserEmail": "john.doe@gmail.com"
  }'
```

## Notes

* All fields are optional, allowing partial updates of user information but phone and phoneZoneCode must go in pair
* Requires Bearer token in the Authorization header.
* The Accept-Language header can be used to specify the response language (Support: "vi", "en").
* The path parameter `{virtualCardRequestId}` should be replaced with the actual virtual card request ID.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.neox.vn/docs/virtual-card/virtual-cards/apis/update-virtual-card-user.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
